在ubuntu上安装最新稳定版本的node及npm

16

背景


通过ubuntu官方apt安装工具安装的node是最新LTS版本的,而本人是个有点强迫症的人,喜欢追求新的东西,也就是想方设法想要去安装最新版本的node,所以本文也就产生了,附上ubuntu安装nodenpm的命令行命令:

sudo apt install nodejs-legacy
sudo apt install npm

最新版本安装方法


1、安装npm

sudo apt install npm

2、升级npm为最新版本

sudo npm install npm@latest -g

此时通过npm -v可以发现npm版本号为最新版本3.10.3;
3、安装用于安装nodejs的模块n

sudo npm install -g n

4、然后通过n模块安装指定版本的nodejsn模块更多介绍请参考官方文档

//安装官方最新版本
sudo n latest
//安装官方稳定版本
sudo n stable
//安装官方最新LTS版本
sudo n lts

我们通过安装稳定版本的nodejs,然后通过node -v可以发现node安装成功,并且版本号为v6.2.0稳定版本

你可能感兴趣的

13 条评论
羊爸爸 · 2017年11月09日

千万不要运行sudo npm install npm@latest -g
特么坑爹,手动升级npm后如果nodejs版本不够高会造成nodejs和npm不能运行,npm依赖nodejs,所以npm会运行不了,最终死循环。我手动下载nodejs都装不上,弄得我不得不重装系统来解决。

+3 回复

0

应该直接使用
npm install -g n 然后 n stable
进行升级,刚找到以前的笔记,唉。。

羊爸爸 · 2017年11月09日
0

我就是node版本太低了,npm,没发用,现在怎么办啊

codevvvv9 · 2017年12月12日
0

@codevvvv9 当时是一台虚拟机,我最终是重装了,只能删除nodejs重新安装,但我当时在Ubuntu下删除很多问题,太多依赖,最终没有删除成功,找了很多资料最后还是重装了系统

羊爸爸 · 2017年12月12日
yumao · 2017年08月31日

安装好后不是全局的

+1 回复

webooxx · 2018年07月05日

同样被坑,如果报错:

sudo npm install -g n 
/usr/local/lib/node_modules/npm/bin/npm-cli.js:79
      let notifier = require('update-notifier')({pkg})
      ^^^

SyntaxError: Block-scoped declarations (let, const, function, class) 
not yet supported outside strict mode
    at exports.runInThisContext (vm.js:53:16)
    at Module._compile (module.js:374:25)
    at Object.Module._extensions..js (module.js:417:10)
    at Module.load (module.js:344:32)
    at Function.Module._load (module.js:301:12)
    at Function.Module.runMain (module.js:442:10)
    at startup (node.js:136:18)
    at node.js:966:3

则只需要删除安装的npm

cd /usr/local/lib/node_modules
mv npm/ /tmp/usr_local_lib_node_modules_npm

然后重新执行

sudo npm install -g n 
sudo n stable

就好了,结果如下

sudo n stable

     install : node-v10.6.0
       mkdir : /usr/local/n/versions/node/10.6.0
       fetch : https://nodejs.org/dist/v10.6.0/node-v10.6.0-linux-x64.tar.gz
######################################################################## 100.0%
   installed : v10.6.0

+1 回复

apa7 · 2018年07月04日

坑爹, 烧了楼主祭天2

回复

载入中...